EffeTech HTTP Sniffer

EffeTech Logo

Overview

RFC Viewer is a powerful RFC browsing utility for networking program and protocol developers. It parses the original RFC file, and generates a section directory tree as well as a page index for content browsing. Users can select to view original RFC document, or to hide each page¡¯s header and footer. Other features include section titles highlighting, multiple RFC documents viewing concurrently, and colorful RFC document printing.

Features

** Browse RFC documents with section directory trees
Usually, a RFC document is organized by sections. It is hard to browse content with sections, because an original RFC document is pure text under common text editor. However, in our RFC Viewer, not only the original text content is reserved, but also an easy browsing section directory tree is provided. Then, when read a RFC file and want to refer to other section, just one click will bring you there.

** Section highlighting
The build-in RFC parser recognizes section titles and makes them highlight. It also provides an interface to configure the color and font of section titles.

** Hide the original header and footer of RFC documents
Are you tired of the header and footer of RFC documents? In our RFC viewer, you can select to hide them or make them gray.

** Color Print & Print preview
Print everything same as in the viewer, colorful and highlighting.

** Speedy
The speed it analyzes and parses a RFC document is so fast that a RFC file can be read in, analyzed, directory generated and ready for browsing within 1 second according to our test.

** View multiple documents
Switch between documents using File Selection Tab, the same in the UltraEditor.

Who need use it

** Developers of networking programs and network protocols
Often view RFC documents, but its plain text hard to browse and navigate? RFC Viewer is an ideal utility for you.

** Network researchers
Get the software at a discount of 30% off for one non-commercial license.

** Any RFC reader or even editor
It brings you ease and convenience.

Order

For the full version, just Click Buy Now to make a secured online purchase! Now on sale. The registry fee for one Non-Commercial License is only $35, and one Commercial License is $49. You will get an email with registration information within 24 hours.

1. Make the Internet access available.
2. Buy on online through https://www.qwerks.com/order/buynow.asp?ProductID=5205 (For Non-Commercial License), OR https://www.qwerks.com/order/buynow.asp?ProductID=5204 (For Commercial License)
3. We will send you a registration email within 24 hours.
4. Open the software, in the registration windows fill in You Name and the Serial from the email.
5. Click the "Register" button in the registration windows.

License

This program is a 30-day evaluation version. Below is the pricing for the fully functional, unrestricted version of the program:

License Type | Price(USD)
Non-Commercial License (One User) | $35 USD
Commercial License (One User) | $49 USD

*NOTE*
Non-Commercial License is for personal, or non-commercial organization use only. If you want to use in a commercial company, you should order Commercial License.

One licensed copy of RFC Viewer may be used by a single person who uses the software personally on one or more computers, or it may be installed on a single workstation used non-simultaneously by more than one person, but not both. Check our web site for pricing on multi-user licenses if you need to purchase this product for more than one user.

We accept credit cards orders, orders by phone and fax, checks, and wire transfers. Prices, terms,and conditions are subject to change without notice, please check our web site for the latest product offerings and prices:

http://www.EffeTech.com/order/

Registered user's right

As a registered user, you will receive:

1. Fully functional, unrestricted copy of the software.
2. Free upgrade to the latest version.
3. Information on updates and new products.
4. Free technical support.
© 2002 EffeTech. All rights reserved


EffeTech HTTP Sniffer

EffeTech Logo

Install and Uninstall

System Requirements

Processor: Intel Pentium 133 MHz or above
Memory: 32 MB (64 MB recommended)
Free Drive Space: 2 MB for installing software
Operating System: Microsoft Windows 95/98/NT/20000/XP
Display: VGA color monitor 800x600 or above
Pointing Device: Mouse or similar pointing device

Install

1. Double-click RfcSetup.exe to execute it.
2. Setup will guide you through the rest of the installation process.

Uninstall

Choose Uninstall from the RFC Viewer program group.

OR:

1. Open the Windows Control Panel.
2. Double-click the "Add/Remove programs" icon.
3. Search the list for the item "RFC Viewer" and double-click on it.
© 2002 EffeTech. All rights reserved


EffeTech HTTP Sniffer

EffeTech Logo

Quick Start

1. Search and download RFC documents on Internet, and save them as plain text files.

2. Open the saved RFC document.

3. Navigate the RFC by the left section directory or page index.

4. You can open several RFC documents concurrently. Switch between documents using File Selection Tab, the same in the UltraEditor.
© 2002 EffeTech. All rights reserved


EffeTech HTTP Sniffer

EffeTech Logo

Configuration

"Font/Default": Default font to show the RFC content.

"Font/Section": The font to show the section titles for the RFC content. Bold black by default.

"Font/Header and Footer": The font to show the header and footer for each page of RFC documents. Gray by default.

"Show the RFC file maximised": Maximise the document when it open if check this option.

"Show the original RFC file and reserve headers and footers": If check this option, only fonts will change and original headers and footers will reserve, when open a RFC document. Otherwise, the program will erase the headers and footers, when open. Anyway, you can change this mode anytime after a RFC document is opened.

"Load Default": The build-in default configuration will be restored.

Note: Changes will take effect when next RFC document open.

© 2002 EffeTech. All rights reserved


EffeTech HTTP Sniffer

EffeTech Logo

FAQ

Q: How to start?
A: First, find a RFC document on Internet and save on your disk as a text file(.txt). In addition, we have enclosed a rfc document, sample_rfc2616.txt, in the installed directory. Then open the document with RFC Viewer. Browse...

Q. Where can I find RFC documents?
A. Search with the keyword "RFC" in Google.com, and you will find many sites providing RFC documents. You can even search with RFC number or content keywords within some sites.

Q. Can RFC Viewer support all RFC documents?
A. Although we had not tested RFC Viewer with all RFC documents yet, we tested many of them, even the most complicated one RFC2616. However, RFC documents are not written in a 100% same format. Therefore, if you find some RFC document is not supported well by our RFC Viewer, please don't hesitate tell us through support@effetech.com .
© 2002 EffeTech. All rights reserved